import CJS_COMPAT_NODE_URL_dn9c4nlir7q from 'node:url';
import CJS_COMPAT_NODE_PATH_dn9c4nlir7q from 'node:path';
import CJS_COMPAT_NODE_MODULE_dn9c4nlir7q from "node:module";

var __filename = CJS_COMPAT_NODE_URL_dn9c4nlir7q.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_dn9c4nlir7q.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_dn9c4nlir7q.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  any
} from "./chunk-RJ4IGHNG.js";

// src/cli/detect.ts
async function detectPnp() {
  return !!any([".pnp.js", ".pnp.cjs"]);
}

export {
  detectPnp
};
